Revoke an administrative principal
const options = {
method: 'DELETE',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://getoverlay.io/api/v1/admin/principals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'DELETE',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://getoverlay.io/api/v1/admin/principals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://getoverlay.io/api/v1/admin/principals \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"userId": "<string>"
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Administration
Revoke an administrative principal
DELETE
/
api
/
v1
/
admin
/
principals
Revoke an administrative principal
const options = {
method: 'DELETE',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://getoverlay.io/api/v1/admin/principals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'DELETE',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://getoverlay.io/api/v1/admin/principals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://getoverlay.io/api/v1/admin/principals \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"userId": "<string>"
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
browserSessionbearerAuth
Signed httpOnly browser session cookie.
Body
application/json
Minimum string length:
1Response
Successful response. Stable response schemas are documented in workflow guides when available.
Response shape is route-specific and may be backed by @overlay/app-core contracts.